'use strict';

function showMenu() {

	$('.menu').fadeToggle(1000);
}
$('.nav-container').on('click', function() {

	showMenu();
})
$('.menu').on('mouseleave', function() {

	showMenu();
})


// Slider

$('#alex').hover(function() {
	$('.name').removeClass('none');
	$('.left-top').toggleClass('none');

	// for (var i = 10; i < 90; i+=5) {

	// 	let deg = 'rotate' + '('+ i +'deg'+ ')';

	// 	for (var j = 0; j < 11; j++) {

	// 		setTimeout(anim(deg), 100);
	// 	}
	// }
	// setTimeout(anim1, 100);
	// setTimeout(anim2, 100);
	// setTimeout(anim3, 100);
	// setTimeout(anim4, 100);
	// setTimeout(anim5, 100);
	// setTimeout(anim6, 100);
	// setTimeout(anim7, 100);
	// setTimeout(anim8, 100);
	// setTimeout(anim9, 100);
	// setTimeout(anim10, 100);
	// setTimeout(anim11, 100);
	// setTimeout(anim12, 100);
	// setTimeout(anim13, 100);
	// setTimeout(anim14, 100);
	// setTimeout(anim15, 100);
	// setTimeout(anim16, 100);
	// setTimeout(anim17, 100);
	// setTimeout(anim18, 100);
	// setTimeout(anim19, 100);
	// setTimeout(anim20, 100);

})
// function anim1(deg){
// 	$('.left-top').css('transform', deg)
// }
// function anim2(){
// 	$('.left-top').css('transform', 'rotate(10deg)')
// }
// function anim3(){
// 	$('.left-top').css('transform', 'rotate(15deg)')
// }
// function anim4(){
// 	$('.left-top').css('transform', 'rotate(20deg)')
// }
// function anim5(){
// 	$('.left-top').css('transform', 'rotate(25deg)')
// }
// function anim6(){
// 	$('.left-top').css('transform', 'rotate(30deg)')
// }
// function anim8(){
// 	$('.left-top').css('transform', 'rotate(35deg)')
// }
// function anim9(){
// 	$('.left-top').css('transform', 'rotate(40deg)')
// }
// function anim10(){
// 	$('.left-top').css('transform', 'rotate(45deg)')
// }
// function anim11(){
// 	$('.left-top').css('transform', 'rotate(50deg)')
// }
// function anim12(){
// 	$('.left-top').css('transform', 'rotate(55deg)')
// }
// function anim13(){
// 	$('.left-top').css('transform', 'rotate(60deg)')
// }
// function anim14(){
// 	$('.left-top').css('transform', 'rotate(65deg)')
// }
// function anim15(){
// 	$('.left-top').css('transform', 'rotate(70deg)')
// }
// function anim17(){
// 	$('.left-top').css('transform', 'rotate(75deg)')
// }
// function anim18(){
// 	$('.left-top').css('transform', 'rotate(80deg)')
// }
// function anim19(){
// 	$('.left-top').css('transform', 'rotate(85deg)')
// }
// function anim20(){
// 	$('.left-top').css('transform', 'rotate(90deg)')
// }



$('#denis').hover(function() {
	$('.right-top').toggleClass('none');
	$('.name').removeClass('none');
})
$('#anna').hover(function() {
	$('.left-bottom').toggleClass('none');
	$('.name').removeClass('none');
})
$('#jane').hover(function() {
	$('.right-bottom').toggleClass('none');
	$('.name').removeClass('none');
})
// function rotation(target) {
// 	$(target).animate ({
// 		transform: 'rotate(20deg)'
// 	}, 500)
// 	console.log(target);
// }



// 			SCROLL
var id = '';
$('.menu > li > a').on('click', function(event, id){
	event.preventDefault();

	id = $(this).attr('href');
	scroll(id)
});
$('.scroll').on('click', function(event, id){
	event.preventDefault();

	id = $(this).attr('href');
	scroll(id)
});

function scroll(id){
	$('html, body').animate({

			scrollTop: $(id).position().top 
		}, 1000);
};


// 			POPAP

$('.baner-form').on('submit', function(event){

	event.preventDefault();

	$('.popap-background').css('background', 'rgba(0, 0, 0, 0.5)');

	$('.popap').show();

	this.reset();
});

$('.form-discount').on('submit', function(){

	event.preventDefault()

	$('body').css('background', 'rgba(0, 0, 0, 0.5)');

	$('.popap')
			.css('top', '3000px')
			.show();

	this.reset();
});

$('.popap-top img').on('click', function(){

	$('.popap').hide();
	$('.popap-background').css('background', 'rgba(0, 0, 0, 0.5)');
});

// 			paralax

$(window).scroll(function() {
	var st = $(this).scrollTop();
	var x = st - 5800;

	$('.monthFree img').css({
					'transform': "translate(0%, "+ x / 25 + "%"
				});
})
$(window).scroll(function() {
	var st = $(this).scrollTop();
	var x = st - 3000;

	$('.discount img').css({
					'transform': "translate(0%, "+ x / 25 + "%"
				});
})